Name:           ocaml-res
Version:        4.0.7
Release:        %mkrel 11
Summary:        Library for automatically resizing contiguous memory (arrays and strings)
License:        LGPL
Group:          Development/OCaml
URL:            https://mmottl.github.io/res/
Source:         https://github.com/mmottl/res/archive/v%{version}.zip
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib

%description
This OCaml-library consists of a set of modules which implement
automatically resizing (= reallocating) datastructures that consume
a contiguous part of memory. This allows appending and removing of
elements to/from arrays (both boxed and unboxed), strings (-> buffers),
bit strings and weak arrays while still maintaining fast constant-time
access to elements.

There are also functors that allow the generation of similar modules
which use different reallocation strategies.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n res-%{version}

%build
./configure
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/res
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install

# documentation
ocaml setup.ml -doc
rm -f API.docdir
mv _build/API.docdir ./
mv _build/API.odocl ./

%files
%doc COPYING.txt
%dir %{_libdir}/ocaml/res
%{_libdir}/ocaml/res/META
%{_libdir}/ocaml/res/*.cma
%{_libdir}/ocaml/res/*.cmi
%{_libdir}/ocaml/res/*.cmxs

%files devel
%doc CHANGES.txt README.md TODO.md
%doc API.docdir API.odocl examples/
%{_libdir}/ocaml/res/*.a
%{_libdir}/ocaml/res/*.annot
%{_libdir}/ocaml/res/*.cmt*
%{_libdir}/ocaml/res/*.cmx
%{_libdir}/ocaml/res/*.cmxa
%{_libdir}/ocaml/res/*.mli
%{_libdir}/ocaml/res/*.ml


%changelog
* Thu May 19 2022 pterjan <pterjan> 4.0.7-11.mga9
+ Revision: 1858908
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 4.0.7-10.mga9
+ Revision: 1832525
- Mageia 9 Mass Rebuild

* Thu Oct 14 2021 tv <tv> 4.0.7-9.mga9
+ Revision: 1751433
- Rebuild for ocaml 4.13.1

* Thu Mar 25 2021 tv <tv> 4.0.7-8.mga9
+ Revision: 1709725
- Rebuild for ocaml-4.12

* Sun Jan 10 2021 pterjan <pterjan> 4.0.7-7.mga8
+ Revision: 1670475
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 4.0.7-6.mga8
+ Revision: 1551367
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 4.0.7-5.mga8
+ Revision: 1546051
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 4.0.7-4.mga8
+ Revision: 1485692
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 4.0.7-3.mga7
+ Revision: 1324282
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 4.0.7-2.mga7
+ Revision: 1299924
- Mageia 7 Mass Rebuild

* Tue Feb 06 2018 tv <tv> 4.0.7-1.mga7
+ Revision: 1199177
- new release
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 4.0.5-6.mga6
+ Revision: 1069779
- Rebuild against fixed ocaml

* Mon Sep 26 2016 pterjan <pterjan> 4.0.5-5.mga6
+ Revision: 1056438
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 4.0.5-4.mga6
+ Revision: 956424
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.5-3.mga5
+ Revision: 739002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.5-2.mga5
+ Revision: 683096
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 4.0.5-1.mga5
+ Revision: 673936
- update to 4.0.5

* Sat Oct 19 2013 umeabot <umeabot> 4.0.3-2.mga4
+ Revision: 531206
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 blue_prawn <blue_prawn> 4.0.3-1.mga4
+ Revision: 462557
- updated to last version 4.0.3

* Sun Jan 13 2013 umeabot <umeabot> 4.0.2-4.mga3
+ Revision: 361589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 blue_prawn <blue_prawn> 4.0.2-3.mga3
+ Revision: 321564
- no change, just a rebuild

* Tue Oct 02 2012 blue_prawn <blue_prawn> 4.0.2-2.mga3
+ Revision: 301876
- new rpm group for ocaml
- rebuild for new ocaml 4.00

* Sat Jul 21 2012 malo <malo> 4.0.2-1.mga3
+ Revision: 273214
- new version 4.0.2

* Thu Jan 12 2012 blue_prawn <blue_prawn> 3.2.0-1.mga2
+ Revision: 195111
- req texlive-texmf-cmsuper
- req latex
- imported package ocaml-res

